## python-libarchive-c 2.1

=== Makefile ===
clean:
	rm -rf build dist *.egg-info
	find . -name \*.pyc -delete

env: requirements_tests.txt
	virtualenv3 ./env
	virtualenv2 ./env
	./env/bin/pip3 install -r requirements_tests.txt
	./env/bin/pip2 install -r requirements_tests.txt

dist:
	python3 setup.py sdist bdist_wheel
	python2 setup.py sdist

lint: env
	./env/bin/flake8 libarchive tests

test: env
	./env/bin/py.test-3.4 -s -vv --cov libarchive --cov-report html ./tests
	./env/bin/py.test-2.7 -s -vv --cov libarchive ./tests
	@$(MAKE) --no-print-directory lint

tests: test

upload:
	python3 setup.py sdist bdist_wheel upload

=== debian/changelog ===
python-libarchive-c (2.1-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Cherry-pick upstream fix for failing test with libarchive 3.2.
    (Closes: #829022)

 -- Reiner Herrmann <reiner@reiner-h.de>  Fri, 05 Aug 2016 20:14:49 +0200

python-libarchive-c (2.1-3) unstable; urgency=low

  * Format autopkgtest dependency list properly. Thanks Martin Pitt!
    (Closes: #795064)

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 10 Aug 2015 14:44:45 +0200

python-libarchive-c (2.1-2) unstable; urgency=low

  * Add watch file.
  * Fix copyright date for packaging.
  * Add missing Depends for autopkgtest.

 -- Jérémy Bobbio <lunar@debian.org>  Sun, 09 Aug 2015 08:30:48 +0200

python-libarchive-c (2.1-1) unstable; urgency=low

  * Initial release: (Closes: #793755)
    - Add a patch to support reading rdevmajor and rdevminor.

 -- Jérémy Bobbio <lunar@debian.org>  Mon, 27 Jul 2015 12:03:30 +0200

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME = libarchive-c

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test:
	LC_ALL=C.UTF-8 py.test -s -vv tests
	LC_ALL=C.UTF-8 py.test-3 -s -vv tests

=== debian/tests/control ===
Tests: upstream-tests
Depends: python-libarchive-c, python-pytest, python3-libarchive-c, python3-pytest

## python-libarchive-c 2.8

=== debian/changelog ===
python-libarchive-c (2.8-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Another stab at fixing autopkgtest, create some mock files needed to
    run the upstream tests.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 10 Jan 2019 12:36:39 +0100

python-libarchive-c (2.8-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix autopkgtest by adding a missing dependency on python(3)-mock.
  * Make autopkgtest tests more verbose.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 09 Jan 2019 09:46:30 +0100

python-libarchive-c (2.8-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 2.8.  LP: #1660379
    + Drop patchs applied upstream.
    + Refresh remaining patch.
    + Fix compatibility with libarchive 3.3.3.  Closes: #917056
  * d/control:
    + Add new build-dep on python(3)-mock.
    + Drop XS-Testsuite field, now automatically added by dpkg-source.
    + Drop obsolete X-Python(3)-Version fields.
    + Move git repository fields to salsa.debian.org.
    + Bump Standards-Version to 4.3.0:
      - Set Rules-Requires-Root:no.
      - Set Priority:optional from the deprecated extra.
  * d/rules: let pybuild run the tests.
  * Bump debhelper compat level to 12, using the new debhelper-compat notation.
  * Update copyrght (upstream license changed from LGPL-2+ to CC-0).

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 08 Jan 2019 12:51:18 +0100

=== debian/control ===
Source: python-libarchive-c
Maintainer: Jérémy Bobbio <lunar@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               libarchive-dev,
               python-all,
               python-mock,
               python-pytest,
               python-setuptools,
               python3-all,
               python3-mock,
               python3-pytest,
               python3-setuptools
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: https://github.com/Changaco/python-libarchive-c
Vcs-Browser: https://salsa.debian.org/debian/python-libarchive-c
Vcs-Git: https://salsa.debian.org/debian/python-libarchive-c.git

Package: python-libarchive-c
Architecture: all
Depends: libarchive13, ${misc:Depends}, ${python:Depends}
Description: Python interface to libarchive
 The libarchive library provides a flexible interface for reading and writing
 archives in various formats such as tar and cpio. libarchive also supports
 reading and writing archives compressed using various compression filters such
 as gzip and bzip2.
 .
 This package contains a Python interface to libarchive written using the
 standard ctypes module to dynamically load and access the C library.

Package: python3-libarchive-c
Architecture: all
Depends: libarchive13, ${misc:Depends}, ${python3:Depends}
Description: Python3 interface to libarchive
 The libarchive library provides a flexible interface for reading and writing
 archives in various formats such as tar and cpio. libarchive also supports
 reading and writing archives compressed using various compression filters such
 as gzip and bzip2.
 .
 This package contains a Python3 interface to libarchive written using the
 standard ctypes module to dynamically load and access the C library.

=== debian/rules ===
#!/usr/bin/make -f

export LC_ALL=C.UTF-8
export PYBUILD_NAME = libarchive-c
export PYBUILD_BEFORE_TEST = cp -av README.rst {build_dir}
export PYBUILD_TEST_ARGS = -vv -s
export PYBUILD_AFTER_TEST = rm -v {build_dir}/README.rst

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: upstream-tests
Depends: @, python-mock, python-pytest, python3-mock, python3-pytest

## python-libarchive-c 2.9

=== Makefile ===
clean:
	rm -rf build dist *.egg-info
	find . -name \*.pyc -delete

chmod:
	git ls-files -z | xargs -0 chmod u=rwX,g=rX,o=rX

dist: chmod
	python3 setup.py sdist bdist_wheel
	python2 setup.py sdist

upload: chmod
	python3 setup.py sdist bdist_wheel upload

=== debian/changelog ===
python-libarchive-c (2.9-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 2.9
    - Version is compatible with python3.8 closes: #947031
  * Update Standards-Version to 4.5.0
  * Change from ADTTMP to AUTOPKGTEST_TMP in d/tests/upstream-tests

 -- Håvard Flaget Aasen <haavard_aasen@yahoo.no>  Mon, 17 Feb 2020 17:17:23 +0100

python-libarchive-c (2.8-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #937886

 -- Sandro Tosi <morph@debian.org>  Mon, 07 Oct 2019 20:24:30 -0400

=== debian/control ===
Source: python-libarchive-c
Maintainer: Jérémy Bobbio <lunar@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-python,
               libarchive-dev,
               python3-all,
               python3-mock,
               python3-pytest,
               python3-setuptools
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/Changaco/python-libarchive-c
Vcs-Browser: https://salsa.debian.org/debian/python-libarchive-c
Vcs-Git: https://salsa.debian.org/debian/python-libarchive-c.git

Package: python3-libarchive-c
Architecture: all
Depends: libarchive13, ${misc:Depends}, ${python3:Depends}
Description: Python3 interface to libarchive
 The libarchive library provides a flexible interface for reading and writing
 archives in various formats such as tar and cpio. libarchive also supports
 reading and writing archives compressed using various compression filters such
 as gzip and bzip2.
 .
 This package contains a Python3 interface to libarchive written using the
 standard ctypes module to dynamically load and access the C library.

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 export PYBUILD_AFTER_TEST = rm -v {build_dir}/README.rst
 
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: upstream-tests
Depends: @, python3-mock, python3-pytest

## python-libarchive-c 5.1

=== debian/changelog ===
python-libarchive-c (5.1-1ubuntu1) plucky; urgency=medium

  * Fix failing test with libarchive >= 3.7.5:
    - https://github.com/Changaco/python-libarchive-c/issues/130

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 10 Feb 2025 17:33:30 -0600

python-libarchive-c (5.1-1) unstable; urgency=medium

  * Adopt package inside DPT (Closes: #1087253). Thank you Lunar
    https://linuxfr.org/news/deces-de-lunar-un-hacktiviste-pedagogue

 -- Alexandre Detiste <tchet@debian.org>  Sun, 10 Nov 2024 13:53:23 +0100

python-libarchive-c (5.1-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to libarchive13t64 for time_t transition
  * Switch to dh-sequence-python3
  * Switch to autopkgtest-pkg-pybuild and fix autopkgtest
  * Bump policy version (no changes)
  * Update d/copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 22 Mar 2024 18:01:03 +0100

python-libarchive-c (5.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version 5.1
  * remove python3-mock build-dep
  * refresh patch

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields.
  * Update standards version to 4.5.1, no changes needed.

 -- Alexandre Detiste <tchet@debian.org>  Wed, 13 Mar 2024 02:06:31 +0100

=== debian/control ===
Source: python-libarchive-c
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Alexandre Detiste <tchet@debian.org>,
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               libarchive-dev,
               python3-all,
               python3-pytest,
               python3-setuptools
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://github.com/Changaco/python-libarchive-c
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-libarchive-c
Vcs-Git: https://salsa.debian.org/python-team/packages/python-libarchive-c.git
Testsuite: autopkgtest-pkg-pybuild

Package: python3-libarchive-c
Architecture: all
Depends: libarchive13t64, ${misc:Depends}, ${python3:Depends}
Description: Python3 interface to libarchive
 The libarchive library provides a flexible interface for reading and writing
 archives in various formats such as tar and cpio. libarchive also supports
 reading and writing archives compressed using various compression filters such
 as gzip and bzip2.
 .
 This package contains a Python3 interface to libarchive written using the
 standard ctypes module to dynamically load and access the C library.

=== debian/watch ===
version=3
https://pypi.python.org/simple/libarchive-c \
        .*/libarchive-c-(.+)\.tar\.gz#.*
